// CVLOAD.H: CodeView loader

#ifndef __CVLOAD_H
#define __CVLOAD_H

/* This is a simple codeview debug information loader. 
   The IMAGEHLP.DLL could be used but is unfortunately broken in
   the current Win95 version.
*/

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  char *procName;       // name of proc entry
  unsigned procFrom;    // address range of proc entry
  unsigned procTo;
  char *srcName;        // name of source code module
  unsigned srcFrom;
  unsigned srcTo;
  unsigned lineOfs;     // offset of first generated code for line
  unsigned short line;  // line number
} tCVQuery;

int cvLoad(char *fn);
// load codeview info from given file, ==0 on error, !=0 if successful
// fn=NULL: load current module

int cvQuery(unsigned ofs, tCVQuery *q);
// searches for info for given offset, !=0 found info, ==0 no info

#ifdef __cplusplus
};
#endif

#endif // __CVLOAD_H
